#include "BreakoutErrorScene.h"

#include "Visualisation.h"
#include "EventManager.h"
#include "InputEvents.h"
#include "GameConfig.h"

BreakoutErrorScene::BreakoutErrorScene()
: BreakoutPauseScene()
{
}

BreakoutErrorScene::~BreakoutErrorScene()
{
}

void BreakoutErrorScene::Initialise()
{
	Visualisation* pVis = Visualisation::getSingleton();

	m_vTextLines.push_back(pVis->CreateSpriteText("A MAJOR ERROR HAS OCCURED", MENU_NORMAL_COLOUR));
	m_vTextLines.push_back(pVis->CreateSpriteText("PRESS START TO CONTINUE", MENU_NORMAL_COLOUR));
	m_vTextLines.push_back(pVis->CreateSpriteText("PRESS L, R AND START TO QUIT", MENU_NORMAL_COLOUR));

	EventManager::getSingleton()->AddEventListener(ButtonInputEvent::cEventName, this);
}
